import { reactive, ref } from "vue";
import * as gitee from '@/service/gitee'

export default function useRepo() {
  const repo = reactive({})
  const user = ref()

  const getRepo = (user, repo = 'my-note') => {
    return gitee.getRepo(user, repo).then(res => Object.assign(repo, res))
  }

  const newRepo = (user, name = 'my-note') => {
    return gitee.newRepo(data).then(res => Object.assign(repo, res))
  }

  const newBranch = (user, branch_name = 'master', repo = 'my-note') => {
    return gitee.newBranch(user, branch_name, repo).then(res => Object.assign(repo, res))
  }

  // 新增文件
  const newFile = (content, path, user, repo = 'my-note') => {
    return gitee.newFile(user, content, path, repo)
  }
  
  // 新增目录, 其实就是新增一个 内容是 # 的 .gitignore 文件
  const newFolder = (path, user, repo = 'my-note') => {
    return gitee.newFile(user, path, repo)
  }

  return {
    repo,
    getRepo,
    newRepo,
    newBranch,
    newFile,
    newFolder,
  }
}
